Skip to content

List Deal Group Strategies

Request

List deal group strategies

Example: /deals/v1.0/deal_groups/980/strategy_deal_groups

you can use the 'with param to vide the details of the strategy's campaign or advertiser eg: deals/v1.0/deal_groups/980/strategy_deal_groups?with=strategy,campaign,advertiser

Path
idnumberrequired

See below

Query
sort_bystring

sort_by

withstring

with

page_offsetnumber

The list starts from the specified page offset

page_limitnumber

Maximum list page element count

Headers
Authorizationstring

Authorization

Default:"Bearer $TOKEN"
curl -i -X GET \
  'https://api.mediamath.com/deals/v1.0/deal_groups/{id}/strategy_deal_groups?sort_by=string&with=string&page_offset=0&page_limit=0' \
  -H 'Authorization: Bearer $TOKEN'

Responses

{
  "data": [
    {
      "id": 19744,
      "entity_type": "strategy_deal_group"
    },
    {
      "id": 19496,
      "entity_type": "strategy_deal_group"
    }
  ],
  "meta": {
    "count": 2,
    "total_count": 2,
    "status": "ok",
    "offset": 0
  }
}
Bodyapplication/json
dataArray of objects
metaobject
Response
{ "data": [ { … } ], "meta": { "count": 0, "total_count": 0, "status": "ok", "offset": 0 } }